org.apache.fop.fo.properties

## Class BackgroundPositionShorthand.Parser

- java.lang.Object
- - org.apache.fop.fo.properties.GenericShorthandParser
  - - org.apache.fop.fo.properties.BackgroundPositionShorthand.Parser

- All Implemented Interfaces:
    ShorthandParser
  Enclosing class:
    BackgroundPositionShorthand

      public static class BackgroundPositionShorthand.Parser
      extends GenericShorthandParser

  Inner class to provide shorthand parsing capabilities

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

    - ### Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser

      `convertValueForProperty, getElement, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parser

          public Parser()

  - ### Method Detail

    - #### getValueForProperty

          public Property getValueForProperty(int propId,
                                              Property property,
                                              PropertyMaker maker,
                                              PropertyList propertyList)
                                       throws PropertyException

      Specified by:
        `getValueForProperty` in interface `ShorthandParser`
      Overrides:
        `getValueForProperty` in class `GenericShorthandParser`
      Parameters:
        `propId` - the property ID in the Constants interface
        `property` - from which value is obtained
        `maker` - Maker object for the Property
        `propertyList` - list of properties
      Returns:
        Property object corresponding to propName
      Throws:
        `PropertyException` - in case a property exception occurs

Copyright © 2023 Apache Software Foundation. All rights reserved.